## org.codehaus.groovy.grails.web.taglib
Class GroovyCollectTag

    java.lang.Object
      org.codehaus.groovy.grails.web.taglib.GroovySyntaxTag
          org.codehaus.groovy.grails.web.taglib.GroovyCollectTag

All Implemented Interfaces:
  GrailsTag

    public class GroovyCollectTag

extends GroovySyntaxTag

Example: ``

${it}

Since:
  19-Jan-2006
Author:
  Graeme Rocher

Field Summary
`static String` `TAG_NAME`

Fields inherited from class org.codehaus.groovy.grails.web.taglib.GroovySyntaxTag
`ATTRIBUTE_IN, ATTRIBUTE_VAR, attributes, ATTRIBUTES_STATUS, out, tagContext`

Constructor Summary
`GroovyCollectTag()`

Method Summary
`void` `doEndTag()` process the end tag
`void` `doStartTag()` Process the start tag
`String` `getName()`
`boolean` `hasPrecedingContent()`
`boolean` `isBufferWhiteSpace()`

Methods inherited from class org.codehaus.groovy.grails.web.taglib.GroovySyntaxTag
`calculateExpression, doEachMethod, init, setAttribute, setAttributes, setWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TAG_NAME

    public static final String TAG_NAME

See Also:
  Constant Field Values

Constructor Detail

### GroovyCollectTag

    public GroovyCollectTag()

Method Detail

### isBufferWhiteSpace

    public boolean isBufferWhiteSpace()

  Specified by:
    `isBufferWhiteSpace` in class `GroovySyntaxTag`

### hasPrecedingContent

    public boolean hasPrecedingContent()

  Specified by:
    `hasPrecedingContent` in class `GroovySyntaxTag`

### doStartTag

    public void doStartTag()

  Description copied from interface: `GrailsTag`
  Process the start tag

### doEndTag

    public void doEndTag()

  Description copied from interface: `GrailsTag`
  process the end tag

### getName

    public String getName()

  Returns:
    The name of the tag

Copyright (c) 2005-2006 The Grails project